<?php
//
// Copyright (c) 2008-2009 Nagios Enterprises, LLC.  All rights reserved.
//  
// $Id: db.inc.php 130 2008-04-24 17:44:17Z egalstad $

require_once(dirname(__FILE__).'/../../includes/common.inc.php');

// initialization stuff
pre_init();

// start session
init_session();

// grab GET or POST variables 
grab_request_vars();

// check prereqs
check_prereqs();

// check authentication
check_authentication(false);


route_request();

function route_request(){
	global $request;
	
	draw_page();
	}

function draw_page(){
	global $lstr;
	
	do_page_start(array("page_id"=>"subcomponent-nagioscorecfg-page"));
?>
	<div id="leftnav">
	<?php draw_menu();?>
	</div>

	<div id="maincontent">
	<IFRAME src="<?php echo nagioscorecfg_get_component_url()."?dest=admin.php";?>" width="100%" frameborder="0" id="maincontentframe" name="maincontentframe">
	[Your user agent does not support frames or is currently configured not to display frames. ]
	</IFRAME>
	<div id="viewtools">
	<div id="popout">
	<a href="#"><img src="<?php echo get_base_url();?>/images/popout.png" border="0" alt="<?php echo $lstr['PopoutAlt'];?>" title="<?php echo $lstr['PopoutAlt'];?>"></a>
	</div>
	<div id="addtomyviews">
	<a href="#"><img src="<?php echo get_base_url();?>/images/addtomyviews.png" border="0" alt="<?php echo $lstr['AddToMyViewsAlt'];?>" title="<?php echo $lstr['AddToMyViewsAlt'];?>"></a>
	</div>
	</div>
	</div>

<?	
	do_page_end();
	}

function draw_menu(){
	$m=get_menu_items();
	draw_menu_items($m);
?>

<?php
	}
	

function get_menu_items(){

	$includes_path=get_base_url()."includes/";
	$components_path=$includes_path."components/";

	//$nagiosql_path=nagiosql_get_base_url();
	$corecfg_path=nagioscorecfg_get_component_url();

	
	$mi=array();
	
	$mi[]=array(
		"type" => "html",
		"title" => "Nagios Core Config Manager",
		"opts" => array(
			"html" => "<img src='".$components_path."xicore/images/subcomponents/nagioscorecfg.png' title='Nagios Core Config Manager'><br><br>",
			)
		);
	
	// Quick Tools
	$mi[]=array(
		"type" => "menusection",
		"title" => "Quick Tools",
		"opts" => array(
			"id" => "quicktools",
			"expanded" => true,
			"url" => $corecfg_path."?dest=admin.php",
			)
		);
	$mi[]=array(
		"type" => "link",
		"title" => "Config Manager Home",
		"opts" => array(
			"href" => $corecfg_path."?dest=admin.php",
			)
		);
	$mi[]=array(
		"type" => "linkspacer"
		);
	$mi[]=array(
		"type" => "link",
		"title" => "Apply Configuration",
		"opts" => array(
			"href" => nagioscorecfg_get_component_url(true)."applyconfig.php?cmd=confirm",
			)
		);
	$mi[]=array(
		"type" => "linkspacer"
		);
	if(is_admin()==true){
		$mi[]=array(
			"type" => "link",
			"title" => "Configuration Snapshots",
			"opts" => array(
				"img" => theme_image("menuredirect.png"),
				"href" => get_base_url()."admin/?xiwindow=coreconfigsnapshots.php",
				"target" => "_parent",
				)
			);
		$mi[]=array(
			"type" => "link",
			"title" => "Monitoring Plugins",
			"opts" => array(
				"img" => theme_image("menuredirect.png"),
				"href" => get_base_url()."admin/?xiwindow=monitoringplugins.php",
				"target" => "_parent",
				)
			);
		}
	$mi[]=array(
		"type" => "link",
		"title" => "Configuration Wizards",
		"opts" => array(
			"img" => theme_image("menuredirect.png"),
			"href" => get_base_url()."config/",
			"target" => "_parent",
			)
		);
	/*
	$mi[]=array(
		"type" => "linkspacer"
		);
	
	$mi[]=array(
		"type" => "link",
		"title" => "Access Nagios Core UI",
		"opts" => array(
			"href" => get_base_url()."?page=subcomponent-nagioscore",
			"target" => "_self",
			)
		);
	*/
	$mi[]=array(
		"type" => "menusectionend",
		"title" => "",
		"opts" => ""
		);
		
	// Monitoring
	$mi[]=array(
		"type" => "menusection",
		"title" => "Monitoring",
		"opts" => array(
			"id" => "monitoring",
			"expanded" => true,
			//"url" => $nagiosql_path."/admin/monitoring.php",
			)
		);
	$mi[]=array(
		"type" => "link",
		"title" => "Hosts",
		"opts" => array(
			"href" => $corecfg_path."?dest=admin/hosts.php",
			)
		);
	$mi[]=array(
		"type" => "link",
		"title" => "Services",
		"opts" => array(
			"href" => $corecfg_path."?dest=admin/services.php",
			)
		);
	$mi[]=array(
		"type" => "link",
		"title" => "Host Groups",
		"opts" => array(
			"href" => $corecfg_path."?dest=admin/hostgroups.php",
			)
		);
	$mi[]=array(
		"type" => "link",
		"title" => "Service Groups",
		"opts" => array(
			"href" => $corecfg_path."?dest=admin/servicegroups.php",
			)
		);
	$mi[]=array(
		"type" => "menusectionend",
		"title" => "",
		"opts" => ""
		);


	// Alerting
	$mi[]=array(
		"type" => "menusection",
		"title" => "Alerting",
		"opts" => array(
			"id" => "alerting",
			"expanded" => true,
			//"url" => $nagiosql_path."/admin/alarming.php",
			)
		);
	$mi[]=array(
		"type" => "link",
		"title" => "Contacts",
		"opts" => array(
			"href" => $corecfg_path."?dest=admin/contacts.php",
			)
		);
	$mi[]=array(
		"type" => "link",
		"title" => "Contact Groups",
		"opts" => array(
			"href" => $corecfg_path."?dest=admin/contactgroups.php",
			)
		);
	$mi[]=array(
		"type" => "link",
		"title" => "Time Periods",
		"opts" => array(
			"href" => $corecfg_path."?dest=admin/timeperiods.php",
			)
		);
	$mi[]=array(
		"type" => "link",
		"title" => "Host Escalations",
		"opts" => array(
			"href" => $corecfg_path."?dest=admin/hostescalations.php",
			)
		);
	$mi[]=array(
		"type" => "link",
		"title" => "Service Escalations",
		"opts" => array(
			"href" => $corecfg_path."?dest=admin/serviceescalations.php",
			)
		);
	$mi[]=array(
		"type" => "menusectionend",
		"title" => "",
		"opts" => ""
		);

	// Templates
	$mi[]=array(
		"type" => "menusection",
		"title" => "Templates",
		"opts" => array(
			"id" => "templates",
			"expanded" => false,
			//"url" => $nagiosql_path."/admin/hosttemplates.php",
			)
		);
	$mi[]=array(
		"type" => "link",
		"title" => "Host Templates",
		"opts" => array(
			"href" => $corecfg_path."?dest=admin/hosttemplates.php",
			)
		);
	$mi[]=array(
		"type" => "link",
		"title" => "Service Templates",
		"opts" => array(
			"href" => $corecfg_path."?dest=admin/servicetemplates.php",
			)
		);
	$mi[]=array(
		"type" => "link",
		"title" => "Contact Templates",
		"opts" => array(
			"href" => $corecfg_path."?dest=admin/contacttemplates.php",
			)
		);
	$mi[]=array(
		"type" => "menusectionend",
		"title" => "",
		"opts" => ""
		);

	// Commands
	$mi[]=array(
		"type" => "menusection",
		"title" => "Commands",
		"opts" => array(
			"id" => "commands",
			"expanded" => false,
			//"url" => $nagiosql_path."/admin/checkcommands.php",
			)
		);
	$mi[]=array(
		"type" => "link",
		"title" => "Commands",
		"opts" => array(
			"href" => $corecfg_path."?dest=admin/checkcommands.php",
			)
		);
	$mi[]=array(
		"type" => "menusectionend",
		"title" => "",
		"opts" => ""
		);


	// Advanced
	$mi[]=array(
		"type" => "menusection",
		"title" => "Advanced",
		"opts" => array(
			"id" => "advanced",
			"expanded" => false,
			//"url" => $nagiosql_path."/admin/specials.php",
			)
		);
	$mi[]=array(
		"type" => "link",
		"title" => "Host Dependencies",
		"opts" => array(
			"href" => $corecfg_path."?dest=admin/hostdependencies.php",
			)
		);
	$mi[]=array(
		"type" => "link",
		"title" => "Service Dependencies",
		"opts" => array(
			"href" => $corecfg_path."?dest=admin/servicedependencies.php",
			)
		);
	$mi[]=array(
		"type" => "link",
		"title" => "Nagios Core Main Config",
		"opts" => array(
			"href" => $corecfg_path."?dest=admin/nagioscfg.php",
			)
		);
	$mi[]=array(
		"type" => "link",
		"title" => "Nagios Core CGI Config",
		"opts" => array(
			"href" => $corecfg_path."?dest=admin/cgicfg.php",
			)
		);
	$mi[]=array(
		"type" => "menusectionend",
		"title" => "",
		"opts" => ""
		);

	// Tools
	$mi[]=array(
		"type" => "menusection",
		"title" => "Tools",
		"opts" => array(
			"id" => "tools",
			"expanded" => false,
			//"url" => $nagiosql_path."/admin/tools.php",
			)
		);
	$mi[]=array(
		"type" => "link",
		"title" => "Import Config Files",
		"opts" => array(
			"href" => $corecfg_path."?dest=admin/import.php",
			)
		);
	$mi[]=array(
		"type" => "link",
		"title" => "Write Config Files",
		"opts" => array(
			"href" => $corecfg_path."?dest=admin/verify.php",
			)
		);
	$mi[]=array(
		"type" => "link",
		"title" => "Delete Config Backups",
		"opts" => array(
			"href" => $corecfg_path."?dest=admin/delbackup.php",
			)
		);
	$mi[]=array(
		"type" => "menusectionend",
		"title" => "",
		"opts" => ""
		);


	// NagiosQL Admin
	$mi[]=array(
		"type" => "menusection",
		"title" => "Config Manager Admin",
		"opts" => array(
			"id" => "nagiosqladmin",
			"expanded" => false,
			//"url" => $nagiosql_path."/admin/user.php",
			)
		);
	$mi[]=array(
		"type" => "link",
		"title" => "Manage Config Access",
		"opts" => array(
			"href" => $corecfg_path."?dest=admin/user.php",
			)
		);
	$mi[]=array(
		"type" => "link",
		"title" => "Change Password",
		"opts" => array(
			"href" => $corecfg_path."?dest=admin/password.php",
			)
		);
		/*
	$mi[]=array(
		"type" => "link",
		"title" => "Manage Menu Access",
		"opts" => array(
			"href" => $nagiosql_path."/admin/menuaccess.php",
			)
		);
	*/
	$mi[]=array(
		"type" => "link",
		"title" => "Config Manager Log",
		"opts" => array(
			"href" => $corecfg_path."?dest=admin/logbook.php",
			)
		);
	$mi[]=array(
		"type" => "link",
		"title" => "Config Manager Settings",
		"opts" => array(
			"href" => $corecfg_path."?dest=admin/settings.php",
			)
		);
	$mi[]=array(
		"type" => "link",
		"title" => "Manage Help Text",
		"opts" => array(
			"href" => $corecfg_path."?dest=admin/helpedit.php",
			)
		);
	$mi[]=array(
		"type" => "menusectionend",
		"title" => "",
		"opts" => ""
		);

	return $mi;
	}
	

?>


